import React from 'react'

import { Text, VStack } from '@chakra-ui/react'

import { useParams } from '@redwoodjs/router'

import { Animations } from 'src/pages/animations'
import { Implementations } from 'src/pages/implementations'
import { GetPatternQuery } from '../query-builder'

export const PatternDetails: React.FC = () => {
  const { id } = useParams()

  const getPatternQuery = GetPatternQuery.useQuery({ id })

  const pattern = getPatternQuery.data

  if (!pattern) {
    return null
  }

  return (
    <VStack w="full" px="4" alignItems="flex-start">
      <Text fontWeight="bold">{pattern.title}</Text>
      <Text>{pattern.description}</Text>
      <VStack w="full" justifyContent="center" spacing="8">
        <VStack alignItems="flex-start">
          <Text pl="2" fontWeight="bold">
            Implementaciones
          </Text>
          <Implementations patternId={pattern.id} />
        </VStack>
        <VStack alignItems="flex-start">
          <Text pl="2" fontWeight="bold">
            Animaciones
          </Text>
          <Animations patternId={pattern.id} />
        </VStack>
      </VStack>
    </VStack>
  )
}
